| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSkeletonScriptCallback Struct Reference

This is a callback function of an animation script. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonScriptCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | Execute (iSkeletonScript *script, size_t frame_idx)=0
| On execute action.
virtual void | OnFinish (iSkeletonScript *script)=0
| On finish action.

## Detailed Description

This is a callback function of an animation script.

It is called every time when script is started or finished.

Definition at line 323 of file skeleton.h.

## Member Function Documentation

virtual void iSkeletonScriptCallback::Execute | ( | iSkeletonScript * | script,
|  | size_t | frame_idx |
| ) |  |  | `[pure virtual]`

On execute action.

virtual void iSkeletonScriptCallback::OnFinish | ( | iSkeletonScript * | script | ) | `[pure virtual]`

On finish action.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h